
QGIS Application - Bug report #18227

GeoReferencer crash

2018-02-26 02:02 PM - Andrew Shanin

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26118

Description

User Feedback

Use georeferencer

Report Details

Crash ID: fd2a65aecc93b39c1c9e241e65339e19926bb8e0

Stack Trace

QSortFilterProxyModel::parent :

QSortFilterProxyModel::mapToSource :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::capacity :

QMetaObject::activate :

QWidget::customContextMenuRequested :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2
Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-02-26 03:58 PM - João Gaspar

hi,

Can you describe the steps that give this error?

You can attach screenshots as well.

Regards

#2 - 2018-03-03 11:16 AM - Giovanni Manghi

- Category changed from Rasters to C++ plugins/Georeferencer

- Status changed from Open to Feedback

- Crashes QGIS or corrupts data changed from No to Yes

#3 - 2018-03-07 04:39 PM - Andrew Shanin

João Gaspar wrote:

hi,

Can you describe the steps that give this error?

You can attach screenshots as well.

Regards

then delete points

#4 - 2018-03-07 04:46 PM - Giovanni Manghi

then delete points

?

#5 - 2018-03-07 10:41 PM - Gerhard Spieles

I can confirm this behavior.

Mostly, crashes happens when you work hurry by zoom in/out or pan multiple.

You can reduce crashes significant, when you work slow and wait until the raster is complete refreshed before start a new zoom or pan.

#6 - 2018-03-07 10:43 PM - Giovanni Manghi
Gerhard Spieles wrote:

I can confirm this behavior.

Mostly, crashes happens when you work hurry by zoom in/out or pan multiple.

You can reduce crashes significant, when you work slow and wait until the raster is complete refreshed before start a new zoom or pan.

only on qgis 3?

#7 - 2018-03-07 11:14 PM - Gerhard Spieles

2.xx also.

#8 - 2018-03-07 11:34 PM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2018-03-18 06:31 PM - Alexis Polti

A PR has been submitted.

#10 - 2018-05-02 12:04 PM - Regis Haubourg

Can you point a link to the relevant PR please?

#11 - 2018-05-02 12:06 PM - Regis Haubourg

OK found one here: https://github.com/qgis/QGIS/pull/6626

It has been merged in master. Any chance to have this backported since it seems to concern 2.18 also?

#12 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#13 - 2019-02-11 04:22 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
